Bug 1306441 - openstack overcloud update stack fails for modified overcloud-full.qcow2 image
openstack overcloud update stack fails for modified overcloud-full.qcow2 image
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Angus Thomas
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 16:31 EST by lokesh.jain
Modified: 2017-01-24 20:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-24 20:28:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lokesh.jain 2016-02-10 16:31:53 EST
While verifying update of overcloud when the overcloud-full.qcow2 image is modified, ran into some errors.
As a test, the only modification that was done to the overcloud-full.qcow2 image was adding a root password. After deleting the old image and uploading the new overcloud-full image, ran the update command and noticed the following errors. The update failed after this.


Feb  8 11:43:45 overcloud-controller-1 galera(galera)[8598]: ERROR: MySQL is not running
Feb  8 11:43:45 overcloud-controller-1 su: (to mysql) root on none
Feb  8 11:43:52 overcloud-controller-1 galera(galera)[8598]: INFO: MySQL is not running
Feb  8 11:43:52 overcloud-controller-1 rsyncd[9912]: rsync error: received SIGINT, SIGTERM, or SIGHUP (code 20) at rsync.c(551) [Receiver=3.0.9]
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:56 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: openstack-ceilometer-notification_monitor_0 on overcloud-controller-1 'OCF_PENDING' (196): call=124, status=complete, exitreason='none',\n    last-rc-change='Mon Feb  8 11:43:34 2016', queued=0ms, exec=17ms\n\n\nPCSD Status:\n  overcloud-controller-0: Online\n  overcloud-controller-1: Online\n\nDaemon Status:\n  corosync: active/enabled\n  pacemaker: active/enabled\n  pcsd: active/enabled\nFinished yum_update.sh on server 3ceba58d-1902-4f58-84a7-3d58baf7bb6a at Mon Feb  8 11:43:58 EST 2016\n", "deploy_stderr": "There are no enabled repos.\n Run \"yum repolist all\" to see the repos you have.\n You can enable repos with yum-config-manager --enable <repo>\nError: cluster is not currently running on this node\n", "update_managed_packages": "false", "deploy_status_code": 1}
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: [2016-02-08 11:43:58,838] (heat-config) [DEBUG] [2016-02-08 11:42:16,989] (heat-config) [INFO] update_identifier=1454948523
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: PCSD Status:
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: overcloud-controller-0: Online
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: overcloud-controller-1: Online
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: Daemon Status:
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: corosync: active/enabled
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: pacemaker: active/enabled
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: pcsd: active/enabled
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: Finished yum_update.sh on server 3ceba58d-1902-4f58-84a7-3d58baf7bb6a at Mon Feb  8 11:43:58 EST 2016
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: [2016-02-08 11:43:58,826] (heat-config) [DEBUG] There are no enabled repos.
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: Run "yum repolist all" to see the repos you have.
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: You can enable repos with yum-config-manager --enable <repo>
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: Error: cluster is not currently running on this node
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: [2016-02-08 11:43:58,827] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-script/443b2bf2-380c-4c85-94d1-9dfaeba6e585. [1]
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: [2016-02-08 11:43:58,838] (heat-config) [INFO] Completed /var/lib/heat-config/hooks/script
Feb  8 11:43:58 overcloud-controller-1 os-collect-config: [2016-02-08 11:43:58,840] (heat-config) [DEBUG] Running heat-config-notify /var/lib/heat-config/deployed/443b2bf2-380c-4c85-94d1-9dfaeba6e585.json < /var/lib/heat-config/deployed/443b2bf2-380c-4c85-94d1-9dfaeba6e585.notify.json
Feb  8 11:43:58 overcloud-controller-1 python: ERROR:scss.expression:Function not found: twbs-font-path:1
Comment 2 lokesh.jain 2016-02-11 13:25:49 EST
The update command that was executed:
openstack overcloud update stack overcloud -i --templates -e /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.yaml

which is present in the document that we are following:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Updating_the_Overcloud.html
Comment 3 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Sofer Athlan-Guyot 2017-01-24 20:28:30 EST
Hi,

I guess it's a bit too late to ask for data about this one.

I'm closing it, but feel free to re-open it if that error persists.

Regards,

Note You need to log in before you can comment on or make changes to this bug.